|  | Home | Documentation | wst__UseKeyType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__UseKeyType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":UseKeyType is a complexType. More...

`#include <wst.h>`

## Public Attributes
char * | Sig
| Optional attribute. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":UseKeyType is a complexType.

struct wst__UseKeyType operations:

- wst__UseKeyType* soap_new_wst__UseKeyType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__UseKeyType(struct soap*, wst__UseKeyType*) default initialize members
- int soap_read_wst__UseKeyType(struct soap*, wst__UseKeyType*) deserialize from a source
- int soap_write_wst__UseKeyType(struct soap*, wst__UseKeyType*) serialize to a sink
- wst__UseKeyType* soap_dup_wst__UseKeyType(struct soap*, wst__UseKeyType* dst, wst__UseKeyType <em>src) returns deep copy of wst__UseKeyType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__UseKeyType(wst__UseKeyType) deep deletes wst__UseKeyType data members, use only on dst after soap_dup_wst__UseKeyType(NULL, wst__UseKeyType *dst, wst__UseKeyType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* wst__UseKeyType::Sig

Optional attribute.

Todo:

  <any namespace="##any" minoccurs="0">

  Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this element. Use wsdl2h option -d for xsd__anyType DOM (soap_dom_element): wsdl2h maps xsd:any to xsd__anyType, use typemap.dat to remap. Attribute "Sig" of XSD type xs:anyURI.

The documentation for this struct was generated from the following file:

- wst.h